#include <stdio.h>

int main(void) {
    int a, b, c;

    printf("Input integer #1: ");
    scanf("%d", &a);
    printf("Input integer #2: ");
    scanf("%d", &b);
    printf("Input integer #3: ");
    scanf("%d", &c);

    if (a <= b) {
        if (b <= c) {
            puts("OK");
        } else {
            puts("NG");
        }
    } else {
        puts("NG");
    }

    return 0;
}
